package com.qmth.cet.plug;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication(scanBasePackages = "com.qmth.*", exclude = {SecurityAutoConfiguration.class})
@EnableTransactionManagement // spring开启事务支持
@EnableAsync // 开启异步任务
public class CetPlugApplication {

    public static void main(String[] args) {
        SpringApplication.run(CetPlugApplication.class, args);
    }

}
